package betterquesting.api2.client.gui.resources.lines;

import betterquesting.api2.client.gui.misc.IGuiRect;
import betterquesting.api2.client.gui.resources.colors.IGuiColor;
import org.lwjgl.opengl.GL11;

/* loaded from: betterquesting_api2_client_gui_resources_lines.jar:betterquesting/api2/client/gui/resources/lines/SimpleLine.class */
public class SimpleLine implements IGuiLine {
    private final short pattern;
    private final int scale;

    public SimpleLine() {
        this(1, (short) -1);
    }

    public SimpleLine(int stippleScale, short stipplePattern) {
        this.pattern = stipplePattern;
        this.scale = stippleScale;
    }

    @Override // betterquesting.api2.client.gui.resources.lines.IGuiLine
    public void drawLine(IGuiRect start, IGuiRect end, int width, IGuiColor color, float partialTick) {
        GL11.glPushMatrix();
        GL11.glDisable(3553);
        GL11.glEnable(2852);
        color.applyGlColor();
        GL11.glLineWidth(width);
        GL11.glLineStipple(this.scale, this.pattern);
        GL11.glBegin(1);
        GL11.glVertex2f(start.getX() + (start.getWidth() / 2.0f), start.getY() + (start.getHeight() / 2.0f));
        GL11.glVertex2f(end.getX() + (end.getWidth() / 2.0f), end.getY() + (end.getHeight() / 2.0f));
        GL11.glEnd();
        GL11.glLineStipple(1, (short) -1);
        GL11.glLineWidth(1.0f);
        GL11.glDisable(2852);
        GL11.glEnable(3553);
        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f);
        GL11.glPopMatrix();
    }
}
